package com.rv.camp.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.util.List;

/**
 * 营地列表
 */

public class CampListBean extends BaseBean {

    private DataBeanX data;
    private int code;

    public DataBeanX getData() {
        return data;
    }

    public void setData(DataBeanX data) {
        this.data = data;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public static class DataBeanX {


        private int totalCount;
        private int totalPage;
        private int pageNum;
        private List<DataBean> data;

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public List<DataBean> getData() {
            return data;
        }

        public void setData(List<DataBean> data) {
            this.data = data;
        }

        public static class DataBean implements Serializable {
            private String id;//": 1,------>店铺id
            private String name;//": "asdf",  --->店铺名
            private String logo;//": "sdfasd", --->店铺logo
            private String url;//": "asdfsadf", --->链接地址
            private String provinceName;//": "广东省",
            private String cityName;//": "广州市",
            private String storeTypeName;//": "上海游", --->店铺类型
            private String storeld;//": "1", ---->店铺类型id
            private double longitude;//": 116.308479,--->经度
            private double latitude;//": 39.983171---->纬度
            private String phone;
            private String address;


            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getLogo() {
                return logo;
            }

            public void setLogo(String logo) {
                this.logo = logo;
            }

            public String getUrl() {
                return url;
            }

            public void setUrl(String url) {
                this.url = url;
            }

            public String getProvinceName() {
                return provinceName;
            }

            public void setProvinceName(String provinceName) {
                this.provinceName = provinceName;
            }

            public String getCityName() {
                return cityName;
            }

            public void setCityName(String cityName) {
                this.cityName = cityName;
            }

            public String getStoreTypeName() {
                return storeTypeName;
            }

            public void setStoreTypeName(String storeTypeName) {
                this.storeTypeName = storeTypeName;
            }

            public String getStoreld() {
                return storeld;
            }

            public void setStoreld(String storeld) {
                this.storeld = storeld;
            }

            public double getLongitude() {
                return longitude;
            }

            public void setLongitude(double longitude) {
                this.longitude = longitude;
            }

            public double getLatitude() {
                return latitude;
            }

            public void setLatitude(double latitude) {
                this.latitude = latitude;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }
        }
    }
}
